this.name               = "audible_docking_clearance";
this.author               = "Spara";
this.copyright   = "2012 Mika Spåra";
this.licence     = "CC BY-NC-SA 3.0"; 
this.description         = "Audible docking clearance";
this.version            = "1.3";

this.playerRequestedDockingClearance = function(message)
{
	var notifySound = new SoundSource;
	if (message == "DOCKING_CLEARANCE_NOT_REQUIRED") {
		notifySound.sound = "[clearance_not_required]";
		notifySound.play();
	}
	else if (message == "DOCKING_CLEARANCE_DENIED_SHIP_FUGITIVE") {
		notifySound.sound = "[clearance_denied]";
		notifySound.play();	
	}	
	else if (message == "DOCKING_CLEARANCE_EXTENDED") {
		notifySound.sound = "[clearance_extended]";
		notifySound.play();			
	}
	else if (message == "DOCKING_CLEARANCE_GRANTED" || message == "DOCKING_CLEARANCE_DENIED_TRAFFIC_INBOUND" || message == "DOCKING_CLEARANCE_DENIED_TRAFFIC_OUTBOUND") {
		this.$status = "";
		this.$clearanceFrameCallback = addFrameCallback(this.$clearanceMonitor.bind(this));
	}
}

this.$clearanceMonitor = function(delta) {
	if (this.$status != player.dockingClearanceStatus) {
		if (player.dockingClearanceStatus == "DOCKING_CLEARANCE_STATUS_GRANTED") {
			if (this.$status != "DOCKING_CLEARANCE_STATUS_TIMING_OUT") {
				var notifySound = new SoundSource;
				notifySound.sound = "[docking_authorized]";
				notifySound.play();
			}
		}
		else if (player.dockingClearanceStatus == "DOCKING_CLEARANCE_STATUS_REQUESTED") {
			var notifySound = new SoundSource;
			notifySound.sound = "[hold_for_clearance]";
			notifySound.play();
		}
		else if (player.dockingClearanceStatus == "DOCKING_CLEARANCE_STATUS_TIMING_OUT" ) {
			var notifySound = new SoundSource;
			notifySound.sound = "[clearance_expiring]";
			notifySound.play();
		}
		else if (player.dockingClearanceStatus == "DOCKING_CLEARANCE_STATUS_NONE") {
			var notifySound = new SoundSource;
			notifySound.sound = "[clearance_cancelled]";
			notifySound.play();
			removeFrameCallback(this.$clearanceFrameCallback);
			delete this.$clearanceFrameCallback;
			return;
		}
	}
	else if (player.ship.status == "STATUS_EXITING_WITCHSPACE" || player.ship.docked) { 
		removeFrameCallback(this.$clearanceFrameCallback);
		delete this.$clearanceFrameCallback;
		return;		
	}
	this.$status = player.dockingClearanceStatus;
}
